# Uses of Interface
org.bukkit.util.CachedServerIcon

Packages that use CachedServerIcon
Package
Description
com.destroystokyo.paper.event.server
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.event.server
`Events` relating to programmatic state changes on the server.

## Uses of CachedServerIcon in com.destroystokyo.paper.event.server

Methods in com.destroystokyo.paper.event.server that return CachedServerIcon
Modifier and Type
Method
Description
`@Nullable CachedServerIcon`
PaperServerListPingEvent.`getServerIcon()`
Gets the server icon sent to the client.
Methods in com.destroystokyo.paper.event.server with parameters of type CachedServerIcon
Modifier and Type
Method
Description
`void`
PaperServerListPingEvent.`setServerIcon(@Nullable CachedServerIcon icon)`
Sets the server icon sent to the client.
Constructors in com.destroystokyo.paper.event.server with parameters of type CachedServerIcon
Modifier
Constructor
Description
``
`PaperServerListPingEvent(@NotNull StatusClient client, @NotNull String motd, int numPlayers, int maxPlayers, @NotNull String version, int protocolVersion, @Nullable CachedServerIcon favicon)`
Deprecated.
``
`PaperServerListPingEvent(@NotNull StatusClient client, Component motd, int numPlayers, int maxPlayers, @NotNull String version, int protocolVersion, @Nullable CachedServerIcon favicon)`

## Uses of CachedServerIcon in org.bukkit

Methods in org.bukkit that return CachedServerIcon
Modifier and Type
Method
Description
`static @Nullable CachedServerIcon`
Bukkit.`getServerIcon()`
Gets an instance of the server's default server-icon.
`@Nullable CachedServerIcon`
Server.`getServerIcon()`
Gets an instance of the server's default server-icon.
`static @NotNull CachedServerIcon`
Bukkit.`loadServerIcon(@NotNull BufferedImage image)`
Creates a cached server-icon for the specific image.
`static @NotNull CachedServerIcon`
Bukkit.`loadServerIcon(@NotNull File file)`
Loads an image from a file, and returns a cached image for the specific server-icon.
`@NotNull CachedServerIcon`
Server.`loadServerIcon(@NotNull BufferedImage image)`
Creates a cached server-icon for the specific image.
`@NotNull CachedServerIcon`
Server.`loadServerIcon(@NotNull File file)`
Loads an image from a file, and returns a cached image for the specific server-icon.

## Uses of CachedServerIcon in org.bukkit.event.server

Methods in org.bukkit.event.server with parameters of type CachedServerIcon
Modifier and Type
Method
Description
`void`
ServerListPingEvent.`setServerIcon(CachedServerIcon icon)`
Sets the server-icon sent to the client.